Skip to main content
Resource Center/Network Resource/Multicast Routing Operations
GETMulticast Routing OperationsSince 3.7.0SynchronousAuth Required

QueryMulticastRouter

QueryMulticastRouter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vpcRouterUuidStringRequired

      No description provided.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • rpGroupsListRequired

      See rpGroups.

      • uuidStringRequired

        The resource UUID.

      • multicastRouterUuidStringRequired

        No description provided.

      • rpAddressStringRequired

        No description provided.

      • groupAddressStringRequired

        组地址。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • vpcVrsListRequired

      See vpcVrs.

      • uuidStringRequired

        The resource UUID.

      • vpcRouterUuidStringRequired

        No description provided.

Endpoint

GET/zstack/v1/multicast/virtual-routers

/zstack/v1/multicast/virtual-routers

Operation ID

QueryMulticastRouter

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/multicast/virtual-routers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "df41b45fd5213ceab084e5b733886ac0", "description": "test for header", "rpGroups": [ { "uuid": "08f7436a526b3cbab51ca95d9e578d27", "multicastRouterUuid": "df41b45fd5213ceab084e5b733886ac0", "rpAddress": "1.2.3.4", "groupAddress": "239.1.1.1/32" } ], "vpcVrs": [] } ] }

Change History

This API has no change history records yet.

View all change history